import { EventEmitter } from "../../../../../../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
export declare class IntergiroMerchantRuleInput {
  element: HTMLElement;
  private ruleElement;
  t: langly.Translate;
  value: string;
  add?: boolean | undefined;
  values?: string[];
  type?: string;
  action: string;
  event: string;
  updated: EventEmitter<{
    key?: string;
    value: string;
  }>;
  cancel: EventEmitter;
  notice: EventEmitter<Notice>;
  textEntered: boolean;
  private actions;
  private events;
  componentWillLoad(): void;
  setType(): void;
  onSubmit(e: CustomEvent): void;
  onCancel(e: MouseEvent): void;
  onSelectionChanged(e: CustomEvent<{
    identifier: string;
    value: string;
  }>): void;
  private checkTextEntered;
  private reset;
  render(): any;
}
